com.tibbo.aggregate.common.context

## Enum CallerController.Type

- java.lang.Object
- - java.lang.Enum<CallerController.Type>
  - - com.tibbo.aggregate.common.context.CallerController.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CallerController.Type>
  Enclosing interface:
    CallerController

      public static enum CallerController.Type
      extends java.lang.Enum<CallerController.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONSUMER`
    `DESKTOP`
    `REST`
    `TEST`
    `WEB`
    `WEB_SERVICE`
    `WEB_SOCKET`
    `WEB_WIDGET_PLAYER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDesktop()`
    `static CallerController.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CallerController.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DESKTOP

          public static final CallerController.Type DESKTOP

    - #### WEB_SOCKET

          public static final CallerController.Type WEB_SOCKET

    - #### WEB_WIDGET_PLAYER

          public static final CallerController.Type WEB_WIDGET_PLAYER

    - #### WEB_SERVICE

          public static final CallerController.Type WEB_SERVICE

    - #### CONSUMER

          public static final CallerController.Type CONSUMER

    - #### WEB

          public static final CallerController.Type WEB

    - #### REST

          public static final CallerController.Type REST

    - #### TEST

          public static final CallerController.Type TEST

  - ### Method Detail

    - #### values

          public static CallerController.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallerController.Type c : CallerController.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallerController.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isDesktop

          public boolean isDesktop()